part of 'clock_manual_bloc.dart';

@immutable
sealed class ClockManualEvent {}

class ChangeSelectedTabIndexClockManual extends ClockManualEvent {
  final int index;

  ChangeSelectedTabIndexClockManual(this.index);
}

class ClockInManual extends ClockManualEvent {
  final StaffContact staffContact;

  ClockInManual(this.staffContact);
}

class SortStaffContactsClockManual extends ClockManualEvent {}

class ClockOutManual extends ClockManualEvent {
  final StaffContact staffContact;

  ClockOutManual(this.staffContact);
}

class CancelClockInManual extends ClockManualEvent {
  final StaffContact staffContact;

  CancelClockInManual(this.staffContact);
}
